A jar for storing delicious cookies.

class
param

  Underlying resource that contains cookies in headers

### Hierarchy

- CookieJar

## Index

### Constructors

- constructor

### Methods

- append
- get

## Constructors

### constructor

- new CookieJar(parent: any): CookieJar

- - Defined in cookie_jar.ts:16

  #### Parameters

  - ##### parent: any

  #### Returns CookieJar

## Methods

### append

- append(name: any, value: any, options: any): void

- - Defined in cookie_jar.ts:40

  Sets a cookie, and applies it to the underlying `Request` or `Response`

  #### Parameters

  - ##### name: any

  - ##### value: any

  - ##### options: any

  #### Returns void

### get

- get(name: any): any

- - Defined in cookie_jar.ts:30

  Gets a cookie by name

  #### Parameters

  - ##### name: any

  #### Returns any

Generated using TypeDoc